/* Simple "hello world" program using UIT */

#include <uit/BaseWindow.h>
#include <uit/ComponentDisplay.h>
#include <uit/TextItem.h>
#include <uit/Notifier.h>

main (int argc, char **argv) {

// Create window 
  BaseWindow w;
  w.initUI(argc, argv);
  w.setWidth(230); w.setHeight(68);
  w.setDisplayFooter(FALSE);
  w.setLabel("UIT Window");
  w.show(TRUE);

// Create canvas
  ComponentDisplay c(TRUE);
  c.setLocation(0, 0);
  c.setWidth(230); c.setHeight(68);
  w.addDisplay(c);

// Create text string
  TextItem t("Hello World");
  t.setLocation(80, 30);
  c.addComponent(t);

// Realize it
  Notifier n;
  n.start();
  exit(0);
}
